"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = __importDefault(require("http"));
const koa_1 = __importDefault(require("koa"));
const modules_1 = require("./plugins/modules");
const vue_1 = require("./plugins/vue");
const hmr_1 = require("./plugins/hmr");
const serve_1 = require("./plugins/serve");
const internalPlugins = [
    modules_1.modulesPlugin,
    vue_1.vuePlugin,
    hmr_1.hmrPlugin,
    serve_1.servePlugin
];
function createServer({ root = process.cwd(), plugins = [] } = {}) {
    const app = new koa_1.default();
    const server = http_1.default.createServer(app.callback());
    [...plugins, ...internalPlugins].forEach((m) => m({
        root,
        app,
        server
    }));
    return server;
}
exports.createServer = createServer;
